> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Bank List

> API reference for fetching Bank list

Retrieves list of supported banks. Response format may vary based on request parameters.


## OpenAPI

````yaml GET /banks
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /banks:
    get:
      tags:
        - banks
      summary: Fetch bank list
      description: |
        Retrieves list of supported banks.
        Response format may vary based on request parameters.
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: currency
          in: query
          description: Currency filter (NGN, ZAR)
          required: true
          schema:
            type: string
            enum:
              - NGN
              - ZAR
          example: NGN
      responses:
        '200':
          description: Bank list retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        bank_code:
                          type: string
                          example: '110005'
                        bank_name:
                          type: string
                          example: 3LINE CARD MANAGEMENT LIMITED
                  message:
                    type: string
                    example: Bank list retrieved successfully
              examples:
                basicResponse:
                  value:
                    status: success
                    data:
                      - bank_code: '110005'
                        bank_name: 3LINE CARD MANAGEMENT LIMITED
                      - bank_code: '120001'
                        bank_name: 9 PAYMENT SOLUTIONS BANK
                    message: Bank list retrieved successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: failed
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          example: field
                        value:
                          type: string
                          example: eur
                        msg:
                          type: string
                          example: Currency must be either NGN or USD
                        path:
                          type: string
                          example: currency
                        location:
                          type: string
                          example: query
              examples:
                invalidCurrency:
                  value:
                    status: failed
                    message: Validation error
                    errors:
                      - type: field
                        value: eur
                        msg: Currency must be either NGN or USD
                        path: currency
                        location: query
                missingCurrency:
                  value:
                    status: failed
                    message: Validation error
                    errors:
                      - type: field
                        value: null
                        msg: currency is required
                        path: currency
                        location: query

````